Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime
Interface IExtensionDelta

public interface IExtensionDelta

An extension delta represents changes to the extension registry.

This interface is not intended to be implemented by clients.

Since:
  3.0

Field Summary
`static int` | `ADDED` Delta kind constant indicating that an extension has been added to an extension point.
`static int` | `REMOVED` Delta kind constant indicating that an extension has been removed from an extension point.

Method Summary
`IExtension` | `getExtension()` Returns the affected extension.
`IExtensionPoint` | `getExtensionPoint()` Returns the affected extension point.
`int` | `getKind()` The kind of this extension delta.

Field Detail

### ADDED

    public static final int ADDED

  Delta kind constant indicating that an extension has been added to an extension point.

  See Also:
    `getKind()`, Constant Field Values

### REMOVED

    public static final int REMOVED

  Delta kind constant indicating that an extension has been removed from an extension point.

  See Also:
    `getKind()`, Constant Field Values

Method Detail

### getKind

    public int getKind()

  The kind of this extension delta.

  Returns:
    the kind of change this delta represents
  See Also:
    `ADDED`, `REMOVED`

### getExtension

    public IExtension getExtension()

  Returns the affected extension.

  Returns:
    the affected extension

### getExtensionPoint

    public IExtensionPoint getExtensionPoint()

  Returns the affected extension point.

  Returns:
    the affected extension point

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.